import path from "path";
import express, { NextFunction, Request, Response } from "express";

const PORT = process.env.PORT || 5000;

const app = express();

app.get('/ping', (req, res) => res.send("Pong"));

<%_ if (webAppClient === "React") { _%>
app.use(express.static(path.join(__dirname, "client")));
app.get('/', (req, res) => {
    res.sendFile(path.join(__dirname, 'client', 'index.html'));
});
<%_ } _%>

app.listen(PORT);
